LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-08-2003, 01:42 AM   #1
busbarn
Member
 
Registered: Feb 2002
Location: Denver, CO US
Distribution: Arch
Posts: 453

Rep: Reputation: 30
gentoo emerge kde error


So after hearing all sorts of stuff about gentoo, I decided to give it a shot. It only took me two days to get the base system--i had to do it twice because lilo got jacked up...second time I used grub and all was good.

Anyways, I've gotten lots of stuf set up--X works, nvidia drivers are installed and x still runs, scroll mouse works, so hey, why not install kde. I emerge kde and on the 3rd package get a java error saying it can't compile jdk documentation. I have java support in make.conf (or wherever you put the USE flags.) Does anybody have any ideas as to why I'm getting this error? THanks for the help.
 
Old 03-08-2003, 07:17 AM   #2
acid2000
Member
 
Registered: Nov 2001
Location: Exeter, UK
Distribution: Gentoo 1.4
Posts: 243

Rep: Reputation: 30
Don't know, could you please post the error message. You have synced you tree haven't you. Have you tried installing the package it want to install seperatly out of the kde ebuild? It could be a problem with blackdown java ( apart from it being rubbish ). Other that that you could inject the package or tell it not to use java.
 
Old 03-08-2003, 11:07 AM   #3
busbarn
Member
 
Registered: Feb 2002
Location: Denver, CO US
Distribution: Arch
Posts: 453

Original Poster
Rep: Reputation: 30
I tried to download blackdown-jdk and i got the same error:

!!! ERROR dev/java/java-sdk-docs-1.3.1 failed.
!!! Function src-unpack, Line 17, Exitcode 0
!!! Please downloadj2sdk-1_3_1-doc.zip from http://java.sun.com/j2se/1.3/docs.html and move it to /usr/portage/distfiles

Okay so I'm an idiot. I followed those directions. I had to emerge lynx so that I could actually get the doc, but now it's emerging away quite happily. Sorry for waisting your time
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
emerge error in gentoo xcalibra Linux - Software 9 11-20-2005 12:00 PM
Gentoo + KDE -> Emerge/Compile Errors bfloeagle Linux - Distributions 4 09-29-2005 11:54 AM
pkg-config error with emerge -aD gnome-python on Gentoo 2.6.9-gentoo-r6 ghrellin Linux - Software 2 12-22-2004 06:37 PM
gentoo emerge gconf error besson3c Linux - Distributions 2 12-20-2004 01:01 PM
gentoo, how emerge and use kde? mrosati Linux - Software 2 05-29-2004 03:34 AM


All times are GMT -5. The time now is 04:02 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration